/* CSS RESET */
/*
  1. Use a more-intuitive box-sizing model.
*/
*, *::before, *::after {
  box-sizing: border-box;
}
/*
  2. Remove default margin
*/
* {
  margin: 0;
}
/*
  Typographic tweaks!
  3. Add accessible line-height
  4. Improve text rendering
*/
body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
}
/*
  5. Improve media defaults
*/
img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
}
/*
  6. Remove built-in form typography styles
*/
input, button, textarea, select {
  font: inherit;
}
/*
  7. Avoid text overflows
*/
p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: break-word;
}

/*
  8. Create a root stacking context
*/
#root, #__next {
  isolation: isolate;
}

a:link { color: #293145; border-bottom: solid thin #293145; }
a:visited { color: #666; border-bottom: dotted thin #666; }
a:hover { color: #666; border-bottom: dotted thin #666; }
a:active { color: #fff; border-bottom: none; }
a { text-decoration: none; }

body {
    margin-top: 50px;
    margin-bottom: 20px;
    margin-left: auto;
    margin-right: auto;

    /* min-width: 40em; */
    max-width: 800px;
    border: thin solid #888;
    /* victor: use fonts that you like */
    /* From https://modernfontstacks.com/ */
    /* font-family: Charter, 'Bitstream Charter', 'Sitka Text', Cambria, serif; */
    font-family: "Roboto", serif;
    font-size: 20px;
    line-height: 1.4;
    padding-bottom: 2em;
}

h1, h2, .top-container_heading, .top-container_name {
  color: #293145;
  font-family: Questrial, Cambria, serif;
}

/* .heading, .name { */
    /* margin: 0; */
    /* text-align: right; */
/* } */

.top-container_name {
    font-size: 250%;
    font-weight: bold;
}

.top-container_heading-container {
  display: flex;
  justify-content: space-between;
  max-width: 250px;
  /* align-items: center; */
  align-items: flex-end;
  flex-direction: column;
}

.me {
    /* font-weight: bold; */
    font-style: inherit;
}
/* might not need this */
.bibliography {
    margin-left: 2em;
    text-indent: -2em;
}

p + p {
  margin-top: 1rem;
}

p + div, div + p {
  margin-top: 1.0em;
}

p + ul {
  margin-top: 0.5em;
}

/* h2 {
  margin-bottom: 2rem;
} */

section {
  margin-top: 1.0em;
}

section {
  padding: 20px;
}

.top-container p + p {
  margin-top: 0;
}

main, header {
  min-width: 390px;
}

.top-container-wrapper {
  margin-inline: auto;
  max-width: 800px;
  /* margin-block: 66px;
  padding-inline: 16px; */
}

@view-transition {
  navigation: auto;
}


/* decide on the system font size? */